%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           peppy
Version:        0.16.0
Release:        9%{?dist}
Summary:        Editor written in python

Group:          Applications/Editors
License:        GPLv2+ and GPLv3+
URL:            http://peppy.flipturn.org
Source0:        http://%{name}.flipturn.org/archive/%{name}-%{version}.tar.bz2
Source1:        %{name}.desktop
#http://groups.google.com/group/peppy-dev
Source2:        %{name}.png
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel
BuildRequires:  desktop-file-utils
Requires:       python-enchant
Requires:       wxPython


%description
Peppy is a wxPython/Scintilla-based editor written in and extensible through 
Python. It attempts to provide an XEmacs-like multi-window, multi-tabbed
framework with low coupling, so it's easy to add support for new types of 
files.


%prep
%setup -q

#correct strange file permission
chmod -x README

# Correct shebang in lib of peppy
sed -i 's|#!/user/bin/env|#!/usr/bin/env|g' \
   %{name}/lib/null.py 


%build
python setup.py build


%install
rm -rf %{buildroot}

python setup.py install \
       -O1 \
       --skip-build \
       --root %{buildroot}

# Add executable file permission to scripts
chmod +x %{buildroot}/%{python_sitelib}/%{name}/lib/null.py
chmod +x %{buildroot}/%{python_sitelib}/%{name}/yapsy/{PeppyPluginManager,VersionedPluginManager,PluginManager,IPlugin}.py

desktop-file-install \
        --dir="%{buildroot}/%{_datadir}/applications/" \
        %{SOURCE1}

install -Dpm0644 %{SOURCE2} \
        %{buildroot}/%{_datadir}/pixmaps/%{name}.png


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog FAQ LICENSE.v2 LICENSE.v3 NEWS README TODO PKG-INFO
%{_bindir}/%{name}
%{python_sitelib}/%{name}/
%{python_sitelib}/%{name}-%{version}-py*.egg-info
%{_datadir}/applications/%{name}.*
%{_datadir}/pixmaps/%{name}.*


%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.0-9
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Sep 27 2011 Jon Ciesla <limb@jcomserv.net> - 0.16.0-1
- New upstream.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Sep 3 2010 Vivek Shah <boni.vivek@gmail.com> - 0.15.0-1
- Updated to new upstream version
- Fixes bug #629491, #627068, #551179

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.13.1-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sat Nov 28 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.13.1-1
- New upstream release

* Wed Sep 02 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.11.25-1
- New upstream release

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 17 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.10.0-1
- New upstream release

* Sun May 17 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.9.86-1
- New upstream release
- Add missing R: wxPython

* Sun May 10 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.9.27-3
- RHBZ #497572 C7

* Sun May 10 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.9.27-2
- RHBZ #497572 C1
- Correct description
- Add PKG-INFO to DOC
- Add R: python-enchant
- Remove shebangs of templates

* Fri Apr 24 2009 Simon Wesp <cassmodiah@fedoraproject.org> - 0.9.27-1
- Initial Package build 
